import { getScale } from './utils';

const data = [ 0, 2, 3, 5, 7.5, 9, 10 ];
const myScale = getScale('linear')
	.domain([0, 10])
	.range([0, 600])

d3.select('svg .inner')
	.selectAll('circle')
	.data(data)
	.join('circle')
	.attr('r', 3)
	.attr('cx', d => myScale(d) + 100)
	.attr('cy', 200)

d3.select('svg .inner')
	.selectAll('text')
	.data(data)	
	.join('text')
	.attr('x', d => myScale(d) + 100)
	.attr('y', 200 + 20)
	.text(d => d)
		.style('text-anchor', 'middle');

d3.select('.scaleLinear')
	.call(d3.axisBottom(myScale))
		.attr('transform', `translate(${100}, ${240})`)